/* Root variables */
:root {
    --header-bg-color: linear-gradient(to right, #7A3231, #332929);
    --gap: 16px;
}

/* Keyframes */
@keyframes showUpCTAtext {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes slides {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-100%);
    }
}

/* Styles */
* {
    font-family: "Cabin", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
        "wdth" 100;
}

.search-everything div {
    display: flex;
}

.search-everything div div {
    background-color: #EEF4FF;
    height: 100%;
    border-top-left-radius: 2rem;
    border-bottom-left-radius: 2rem;
}

.search-everything div div i {
    padding: 0.5rem;
    padding-left: 0.7rem;
    padding-right: 0.7rem;
    border: 1px solid #7A3231 !important;
    border-right: none !important;
    border-top-left-radius: 2rem;
    border-bottom-left-radius: 2rem;
}

.search-website {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    border-top-right-radius: 2rem;
    border-bottom-right-radius: 2rem;
    border: 1px solid #7A3231 !important;
    background-color: #EEF4FF;
    border-left: none !important;
}

.search-website:focus {
    box-shadow: none !important;
    background-color: #EEF4FF;
}

a {
    color: inherit;
    text-decoration: none;
}

body {
    background-color: #EEF4FF;
}

.header-bg-color {
    background: var(--header-bg-color);
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.6);
    z-index: 1000;
    top: 0;
}

.nav-link {
    color: #b6b9c0 !important;
}

.nav-link:hover {
    color: #EEF4FF !important;
}

.active {
    color: #EEF4FF !important;
}

.momo-trust-display-regular {
    font-family: "Momo Trust Display", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.carousel-item img {
    height: 550px;
    object-fit: cover;
}

.carousel-item {
    position: relative;
}

.carousel-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px;
}

.text-overlay {
    text-align: left;
    animation: showUpCTAtext 1s ease-in-out forwards;
}

.carousel-overlay h2 {
    font-size: 3rem;
    margin-bottom: 10px;
}

.carousel-overlay p {
    font-size: 1.5rem;
}

.learn-more-btn {
    padding: 0.5rem 1.2rem;
    background-color: #EEF4FF;
}

.learn-more-btn:hover {
    background-color: #7A3231;
    color: white;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.6);
}

.carousel-text {
    color: #EEF4FF;
}

.more-abt-us {
    padding: 0.5rem 1.2rem;
    background-color: #7A3231;
    color: white;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.6);
}

.gold {
    background-color: #C89119;
}

.news {
    background-color: #7A3231;
}

h1 {
    color: #7A3231 !important;
}

.text-savjet {
    color: #332929 !important;
}

.divider {
    width: 9rem;
    height: 0.5rem;
    background-color: #7A3231;
    border-radius: 2rem;
}

.divider-text {
    color: #7A3231;
    font-weight: 600;
    font-size: 2rem;
}

.image-savjet {
    border-radius: 0.5rem;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.4);
}

.divider-background {
    background-color: #7A3231;
}

.divider-text-alternate {
    color: #EEF4FF;
    font-weight: 600;
    font-size: 2rem;
}

.divider-alternate {
    width: 9rem;
    height: 0.5rem;
    background-color: #EEF4FF;
    border-radius: 2rem;
}

svg {
    display: block;
    margin-bottom: -1px;
}

.news-grid {
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.15);
    margin-bottom: 5rem;
}

.main-news-image {
    width: 100%;
    height: 500px;
    object-fit: cover;
    object-position: center;
    transition: filter 0.3s ease;
}

.secondary-news-image {
    width: 100%;
    height: 250px;
    object-fit: cover;
    object-position: center;
    transition: filter 0.3s ease;
}

.main-news-image:hover,
.secondary-news-image:hover {
    filter: brightness(0.6);
}

.news-image-wrapper {
    overflow: hidden;
}

.color-of-features {
    font-size: 2.5rem;
    color: #7A3231 !important;
}

.color-of-features:hover {
    color: #C89119 !important;
}

.logos {
    overflow: hidden;
    padding: 30px 0px;
    white-space: nowrap;
    position: relative;
}

.logos:before,
.logos:after {
    position: absolute;
    top: 0;
    content: '';
    width: 250px;
    height: 100%;
    z-index: 2;
}

.logos:before {
    left: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 0), #EEF4FF);
}

.logos:after {
    right: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 0), #EEF4FF);
}

.logo_items {
    display: inline-block;
    animation: 35s slides infinite linear;
}

.logos:hover .logo_items {
    animation-play-state: paused;
}

.logo_items img {
    height: 150px;
}

a {
    cursor: pointer;
}

.caption {
    background-color: rgba(0, 0, 0, 0.5);
    color: #EEF4FF;
}

.required {
    color: #7A3231;
    margin-left: 6px
}

.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--gap);
}

form {
    display: grid;
    gap: var(--gap);
}

@media (max-width:640px) {
    .grid {
        grid-template-columns: 1fr
    }
}

label {
    display: block;
    font-size: 13px;
    margin-bottom: 6px;
    color: #b6b9c0;
}

input,
select,
textarea {
    width: 100%;
    padding: 12px 14px;
    border-radius: 10px;
    border: 1px solid #b6b9c0;
    background: #EEF4FF;
    font-size: 15px;
    outline: none;
    transition: box-shadow .15s, border-color .12s;
}

input:focus,
select:focus,
textarea:focus {
    border-color: #7A3231;
    box-shadow: 0 6px 18px rgba(202, 166, 62, 0.12);
}

textarea {
    min-height: 120px;
    resize: vertical
}

.small {
    font-size: 13px;
    color: #6b6b6b;
}

.consent {
    display: flex;
    gap: 10px;
    align-items: flex-start
}

.consent input {
    width: auto;
    margin-top: 4px
}

.footer-note {
    font-size: 13px;
    color: #6b6b6b;
}

.button-send {
    background: linear-gradient(90deg, #332929, #7A3231);
    color: white
}

.button-reset {
    background: white;
    color: #7A3231
}

.button {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    padding: 10px 16px;
    border-radius: 12px;
    border: 0;
    cursor: pointer;
    font-weight: 600;
    box-shadow: 0 6px 18px rgba(43, 43, 43, 0.06);
}

.button-send:hover {
    color: #EEF4FF;
}

.button-reset:hover {
    color: #7A3231;
    background-color: white;
}


.actions {
    display: flex;
    gap: 12px;
    align-items: center
}

input:invalid,
textarea:invalid,
select:invalid {
    box-shadow: 0 0 0 4px rgba(255, 0, 0, 0.04)
}

.left-side {
    background: linear-gradient(45deg, #332929, #7A3231);
    padding: 2rem 2rem;
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
    color: #EEF4FF;
}

.ext {
    border: 1px solid #7A3231;
    padding: 2rem 2rem;
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}

.image-grb {
    width: 300px;
    height: fit-content;
}

.image-grb-savjet {
    width: 100px;
    height: fit-content;
}

.form-tittle {
    text-align: center;
    font-size: 3rem;
}

.emailBold {
    font-weight: 900;
    color: #C89119;
}

.moto-text {
    color: #7A3231;
    font-style: italic;
}

.footer {
    background: linear-gradient(to right, #7A3231, #332929);
    color: #EEF4FF;
}

.bi-instagram,
.bi-facebook,
.bi-tiktok {
    color: #EEF4FF !important;
}

.banner {
    position: relative;
    width: 100%;
    height: 550px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.banner .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.banner h1 {
    position: relative;
    color: white !important;
    font-size: 3rem;
    z-index: 1;

    opacity: 0;
    transform: translateY(40px);
    animation: slideUp 1.2s ease-out forwards;
}

@keyframes slideUp {
    from {
        opacity: 0;
        transform: translateY(40px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

#logoutButton {
    background-color: #C89119;
    color: white;
}

#logoutButton:hover {
    background-color: #e2b045;
}

.custom-modal {
    background-color: rgba(0, 128, 0, 0.521);
    color: white !important;
    border: 2px solid green;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
}

.custom-modalerr {
    background-color: rgba(255, 3, 3, 0.438);
    color: white !important;
    border: 2px solid red;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
}

.top-header-specialUser {
    padding: 0.5rem;
    color: #EEF4FF;
    background-color: #332929;
    position: sticky;
}

.spanSpecialUser {
    color: #C89119;
}

.modal-inner {
    display: flex;
    justify-content: center;
}

.modal-image {
    width: 50%;
}

.modal-image img {
    width: 100%;
}

.modal-text {
    width: 50%;
    padding: 1rem;
    color: #332929 !important;
}

.members-modal {
    padding: 0;
}

.clanovi-content {
    border: 0;
    border-radius: 0;
    background-color: rgb(255, 255, 255);
    box-shadow: 10px 10px 2px rgba(0, 0, 0, 0.5);
}

.card {
    border: 0;
}

.gold-text {
    color: #C89119;
    font-style: italic;
    font-weight: bold;
}